import Vue from 'vue'
import App from './App'

import {
	showLoginPage
} from './utils/login.js'
Vue.config.productionTip = false

import uView from 'uview-ui'
Vue.use(uView)
// uni.$u.config.unit = 'rpx'

import utils from './utils/common.js'
Vue.prototype.utils = utils;

import {
	setData
} from './utils/common.js'
Vue.prototype.setData = setData;
Vue.prototype.$showLoginPage = showLoginPage;
Vue.prototype.$navTo = utils.navTo;
Vue.prototype.$checkToken = utils.checkToken;
Vue.prototype.$isEmpty = utils.isEmpty

App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()